<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref30.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::Token::ntLabelStatement - Synopsis::Trace::Trace&#40;const std::string&amp;&#44;unsigned int&#41;</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::Token::ntLabelStatement - Synopsis::Trace::Trace&#40;const std::string&amp;&#44;unsigned int&#41;</h1><div class="xref-name"><a id="Synopsis_mToken_mntLabelStatement" /><h2 >Enumerator Synopsis::Token::ntLabelStatement</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntLabelStatement" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#171">Synopsis/Token.hh:171</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#62">Synopsis/PTree/TypeVisitor.hh:62</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lLabelStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;LabelStatement*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntLinkageSpec" /><h2 >Enumerator Synopsis::Token::ntLinkageSpec</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntLinkageSpec" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#150">Synopsis/Token.hh:150</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#35">Synopsis/PTree/TypeVisitor.hh:35</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lLinkageSpec_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;LinkageSpec*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntMetaclassDecl" /><h2 >Enumerator Synopsis::Token::ntMetaclassDecl</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntMetaclassDecl" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#148">Synopsis/Token.hh:148</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#33">Synopsis/PTree/TypeVisitor.hh:33</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lMetaclassDecl_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;MetaclassDecl*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntName" /><h2 >Enumerator Synopsis::Token::ntName</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntName" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#141">Synopsis/Token.hh:141</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#42">Synopsis/PTree/TypeVisitor.hh:42</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lName_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;Name*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntNamespaceAlias" /><h2 >Enumerator Synopsis::Token::ntNamespaceAlias</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntNamespaceAlias" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#159">Synopsis/Token.hh:159</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#37">Synopsis/PTree/TypeVisitor.hh:37</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lNamespaceAlias_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;NamespaceAlias*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntNamespaceSpec" /><h2 >Enumerator Synopsis::Token::ntNamespaceSpec</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntNamespaceSpec" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#156">Synopsis/Token.hh:156</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#36">Synopsis/PTree/TypeVisitor.hh:36</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lNamespaceSpec_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;NamespaceSpec*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntNewExpr" /><h2 >Enumerator Synopsis::Token::ntNewExpr</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntNewExpr" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#183">Synopsis/Token.hh:183</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#75">Synopsis/PTree/TypeVisitor.hh:75</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lNewExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;NewExpr*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntParameterDecl" /><h2 >Enumerator Synopsis::Token::ntParameterDecl</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntParameterDecl" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#149">Synopsis/Token.hh:149</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#34">Synopsis/PTree/TypeVisitor.hh:34</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lParameterDeclaration_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;ParameterDeclaration*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntParenExpr" /><h2 >Enumerator Synopsis::Token::ntParenExpr</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntParenExpr" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#191">Synopsis/Token.hh:191</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#82">Synopsis/PTree/TypeVisitor.hh:82</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lParenExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;ParenExpr*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntPmExpr" /><h2 >Enumerator Synopsis::Token::ntPmExpr</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntPmExpr" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#179">Synopsis/Token.hh:179</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#68">Synopsis/PTree/TypeVisitor.hh:68</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lPmExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;PmExpr*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntPostfixExpr" /><h2 >Enumerator Synopsis::Token::ntPostfixExpr</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntPostfixExpr" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#187">Synopsis/Token.hh:187</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#79">Synopsis/PTree/TypeVisitor.hh:79</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lPostfixExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;PostfixExpr*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntReturnStatement" /><h2 >Enumerator Synopsis::Token::ntReturnStatement</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntReturnStatement" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#167">Synopsis/Token.hh:167</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#58">Synopsis/PTree/TypeVisitor.hh:58</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lReturnStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;ReturnStatement*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntSizeofExpr" /><h2 >Enumerator Synopsis::Token::ntSizeofExpr</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntSizeofExpr" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#182">Synopsis/Token.hh:182</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#72">Synopsis/PTree/TypeVisitor.hh:72</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lSizeofExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;SizeofExpr*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntStaticUserStatementExpr" /><h2 >Enumerator Synopsis::Token::ntStaticUserStatementExpr</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntStaticUserStatementExpr" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#192">Synopsis/Token.hh:192</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntSwitchStatement" /><h2 >Enumerator Synopsis::Token::ntSwitchStatement</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntSwitchStatement" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#161">Synopsis/Token.hh:161</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#51">Synopsis/PTree/TypeVisitor.hh:51</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lSwitchStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;SwitchStatement*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntTemplateDecl" /><h2 >Enumerator Synopsis::Token::ntTemplateDecl</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntTemplateDecl" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#147">Synopsis/Token.hh:147</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#30">Synopsis/PTree/TypeVisitor.hh:30</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTemplateDecl_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;TemplateDecl*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntTemplateInstantiation" /><h2 >Enumerator Synopsis::Token::ntTemplateInstantiation</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntTemplateInstantiation" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#158">Synopsis/Token.hh:158</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#31">Synopsis/PTree/TypeVisitor.hh:31</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTemplateInstantiation_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;TemplateInstantiation*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntThrowExpr" /><h2 >Enumerator Synopsis::Token::ntThrowExpr</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntThrowExpr" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#193">Synopsis/Token.hh:193</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#71">Synopsis/PTree/TypeVisitor.hh:71</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lThrowExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;ThrowExpr*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntTryStatement" /><h2 >Enumerator Synopsis::Token::ntTryStatement</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntTryStatement" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#173">Synopsis/Token.hh:173</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#55">Synopsis/PTree/TypeVisitor.hh:55</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTryStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;TryStatement*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntTypedef" /><h2 >Enumerator Synopsis::Token::ntTypedef</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntTypedef" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#146">Synopsis/Token.hh:146</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#29">Synopsis/PTree/TypeVisitor.hh:29</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTypedef_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;Typedef*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntTypeidExpr" /><h2 >Enumerator Synopsis::Token::ntTypeidExpr</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntTypeidExpr" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#194">Synopsis/Token.hh:194</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#73">Synopsis/PTree/TypeVisitor.hh:73</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTypeidExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;TypeidExpr*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntTypeofExpr" /><h2 >Enumerator Synopsis::Token::ntTypeofExpr</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntTypeofExpr" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#195">Synopsis/Token.hh:195</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#74">Synopsis/PTree/TypeVisitor.hh:74</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTypeofExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;TypeofExpr*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntUnaryExpr" /><h2 >Enumerator Synopsis::Token::ntUnaryExpr</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntUnaryExpr" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#181">Synopsis/Token.hh:181</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#70">Synopsis/PTree/TypeVisitor.hh:70</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lUnaryExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;UnaryExpr*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntUserAccessSpec" /><h2 >Enumerator Synopsis::Token::ntUserAccessSpec</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntUserAccessSpec" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#152">Synopsis/Token.hh:152</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#49">Synopsis/PTree/TypeVisitor.hh:49</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lUserAccessSpec_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;UserAccessSpec*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntUserStatementExpr" /><h2 >Enumerator Synopsis::Token::ntUserStatementExpr</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntUserStatementExpr" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#188">Synopsis/Token.hh:188</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntUserdefKeyword" /><h2 >Enumerator Synopsis::Token::ntUserdefKeyword</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntUserdefKeyword" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#153">Synopsis/Token.hh:153</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntUsing" /><h2 >Enumerator Synopsis::Token::ntUsing</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntUsing" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#157">Synopsis/Token.hh:157</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#38">Synopsis/PTree/TypeVisitor.hh:38</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lUsingDirective_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;UsingDirective*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#40">Synopsis/PTree/TypeVisitor.hh:40</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lUsingDeclaration_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;UsingDeclaration*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntWhileStatement" /><h2 >Enumerator Synopsis::Token::ntWhileStatement</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntWhileStatement" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#162">Synopsis/Token.hh:162</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#52">Synopsis/PTree/TypeVisitor.hh:52</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lWhileStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;WhileStatement*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_moperator_e_e_lchar_rconst" /><h2 >Member function Synopsis::Token::operator==&#40;char&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#operator_e_e_lchar_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#207">Synopsis/Token.hh:207</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mptr" /><h2 >Data member Synopsis::Token::ptr</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ptr" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#208">Synopsis/Token.hh:208</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#207">Synopsis/Token.hh:207</a>: in member function <a href="../Scopes/Synopsis/Token.html#operator_e_e_lchar_rconst" >Synopsis::Token::operator==&#40;char&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mtype" /><h2 >Data member Synopsis::Token::type</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#210">Synopsis/Token.hh:210</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTrace" /><h2 >Class Synopsis::Trace</h2><ul>
<li><a href="../Scopes/Synopsis/Trace.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#17">Synopsis/Trace.hh:17</a>: in class <a href="../Scopes/Synopsis/Trace.html" >Synopsis::Trace</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Trace.hh.html#22">Synopsis/Trace.hh:22</a>: Enum <a href="../Scopes/Synopsis/Trace.html#Category" >Category</a></li><li ><a href="../Source/Synopsis/Trace.hh.html#29">Synopsis/Trace.hh:29</a>: Struct <a href="../Scopes/Synopsis/Trace/Entry.html" >Entry</a></li><li ><a href="../Source/Synopsis/Trace.hh.html#40">Synopsis/Trace.hh:40</a>: Constructor <a href="../Scopes/Synopsis/Trace.html#Trace_lconst.std_mstring_A_cunsigned.int_r" >Trace&#40;const std::string&amp;&#44;unsigned int&#41;</a></li><li ><a href="../Source/Synopsis/Trace.hh.html#48">Synopsis/Trace.hh:48</a>: Constructor <a href="../Scopes/Synopsis/Trace.html#Trace_lconst.std_mstring_A_cunsigned.int_cconst.T_A_r" >Trace&#40;const std::string&amp;&#44;unsigned int&#44;const T&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Trace.hh.html#55">Synopsis/Trace.hh:55</a>: Destructor <a href="../Scopes/Synopsis/Trace.html#_tTrace_l_r" >~Trace&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Trace.hh.html#63">Synopsis/Trace.hh:63</a>: Member function template <a href="../Scopes/Synopsis/Trace.html#operator_L_L_lconst.T_A_rconst" >operator&lt;&lt;&#40;const T&amp;&#41;const</a></li><li ><a href="../Source/Synopsis/Trace.hh.html#65">Synopsis/Trace.hh:65</a>: Member function <a href="../Scopes/Synopsis/Trace.html#enable_lunsigned.int_r" >enable&#40;unsigned int&#41;</a></li><li ><a href="../Source/Synopsis/Trace.hh.html#68">Synopsis/Trace.hh:68</a>: Member function <a href="../Scopes/Synopsis/Trace.html#indent_l_r" >indent&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Trace.hh.html#70">Synopsis/Trace.hh:70</a>: Data member <a href="../Scopes/Synopsis/Trace.html#my_mask" >my_mask</a></li><li ><a href="../Source/Synopsis/Trace.hh.html#71">Synopsis/Trace.hh:71</a>: Data member <a href="../Scopes/Synopsis/Trace.html#my_level" >my_level</a></li><li ><a href="../Source/Synopsis/Trace.hh.html#72">Synopsis/Trace.hh:72</a>: Data member <a href="../Scopes/Synopsis/Trace.html#my_scope" >my_scope</a></li><li ><a href="../Source/Synopsis/Trace.hh.html#73">Synopsis/Trace.hh:73</a>: Data member <a href="../Scopes/Synopsis/Trace.html#my_visibility" >my_visibility</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTrace_mALL" /><h2 >Enumerator Synopsis::Trace::ALL</h2><ul>
<li><a href="../Scopes/Synopsis/Trace.html#ALL" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#27">Synopsis/Trace.hh:27</a>: in class <a href="../Scopes/Synopsis/Trace.html" >Synopsis::Trace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTrace_mCategory" /><h2 >Enum Synopsis::Trace::Category</h2><ul>
<li><a href="../Scopes/Synopsis/Trace.html#Category" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#22">Synopsis/Trace.hh:22</a>: in class <a href="../Scopes/Synopsis/Trace.html" >Synopsis::Trace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTrace_mEntry" /><h2 >Struct Synopsis::Trace::Entry</h2><ul>
<li><a href="../Scopes/Synopsis/Trace/Entry.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#29">Synopsis/Trace.hh:29</a>: in struct <a href="../Scopes/Synopsis/Trace/Entry.html" >Synopsis::Trace::Entry</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#32">Synopsis/Trace.hh:32</a>: in struct <a href="../Scopes/Synopsis/Trace/Entry.html" >Synopsis::Trace::Entry</a></li>
<li><a href="../Source/Synopsis/Trace.hh.html#35">Synopsis/Trace.hh:35</a>: in struct <a href="../Scopes/Synopsis/Trace/Entry.html" >Synopsis::Trace::Entry</a></li>
<li><a href="../Source/Synopsis/Trace.hh.html#63">Synopsis/Trace.hh:63</a>: in class <a href="../Scopes/Synopsis/Trace.html" >Synopsis::Trace</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Trace.hh.html#31">Synopsis/Trace.hh:31</a>: Constructor <a href="../Scopes/Synopsis/Trace/Entry.html#Entry_lbool_r" >Entry&#40;bool&#41;</a></li><li ><a href="../Source/Synopsis/Trace.hh.html#32">Synopsis/Trace.hh:32</a>: Constructor <a href="../Scopes/Synopsis/Trace/Entry.html#Entry_lconst.Entry_A_r" >Entry&#40;const Entry&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Trace.hh.html#33">Synopsis/Trace.hh:33</a>: Destructor <a href="../Scopes/Synopsis/Trace/Entry.html#_tEntry_l_r" >~Entry&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Trace.hh.html#35">Synopsis/Trace.hh:35</a>: Member function template <a href="../Scopes/Synopsis/Trace/Entry.html#operator_L_L_lconst.T_A_rconst" >operator&lt;&lt;&#40;const T&amp;&#41;const</a></li><li ><a href="../Source/Synopsis/Trace.hh.html#37">Synopsis/Trace.hh:37</a>: Data member <a href="../Scopes/Synopsis/Trace/Entry.html#enabled" >enabled</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTrace_mEntry_mEntry_lbool_r" /><h2 >Constructor Synopsis::Trace::Entry::Entry&#40;bool&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Trace/Entry.html#Entry_lbool_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#31">Synopsis/Trace.hh:31</a>: in struct <a href="../Scopes/Synopsis/Trace/Entry.html" >Synopsis::Trace::Entry</a></li>
<li><a href="../Source/Synopsis/Trace.hh.html#76">Synopsis/Trace.hh:76</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTrace_mEntry_mEntry_lconst.Entry_A_r" /><h2 >Constructor Synopsis::Trace::Entry::Entry&#40;const Entry&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Trace/Entry.html#Entry_lconst.Entry_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#32">Synopsis/Trace.hh:32</a>: in struct <a href="../Scopes/Synopsis/Trace/Entry.html" >Synopsis::Trace::Entry</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTrace_mEntry_menabled" /><h2 >Data member Synopsis::Trace::Entry::enabled</h2><ul>
<li><a href="../Scopes/Synopsis/Trace/Entry.html#enabled" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#37">Synopsis/Trace.hh:37</a>: in struct <a href="../Scopes/Synopsis/Trace/Entry.html" >Synopsis::Trace::Entry</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#32">Synopsis/Trace.hh:32</a>: in member function <a href="../Scopes/Synopsis/Trace/Entry.html#Entry_lconst.Entry_A_r" >Synopsis::Trace::Entry::Entry&#40;const Entry&amp;&#41;</a></li>
<li><a href="../Source/Synopsis/Trace.hh.html#79">Synopsis/Trace.hh:79</a>: in member function <a href="../Scopes/Synopsis/Trace/Entry.html#Entry_lbool_r" >Synopsis::Trace::Entry::Entry&#40;bool&#41;</a></li>
<li><a href="../Source/Synopsis/Trace.hh.html#85">Synopsis/Trace.hh:85</a>: in member function <a href="../Scopes/Synopsis/Trace/Entry.html#_tEntry_l_r" >Synopsis::Trace::Entry::~Entry&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTrace_mEntry_moperator_L_L_lconst.T_A_rconst" /><h2 >Member function template Synopsis::Trace::Entry::operator&lt;&lt;&#40;const T&amp;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/Trace/Entry.html#operator_L_L_lconst.T_A_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#35">Synopsis/Trace.hh:35</a>: in struct <a href="../Scopes/Synopsis/Trace/Entry.html" >Synopsis::Trace::Entry</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTrace_mEntry_m_tEntry_l_r" /><h2 >Destructor Synopsis::Trace::Entry::~Entry&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Trace/Entry.html#_tEntry_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#33">Synopsis/Trace.hh:33</a>: in struct <a href="../Scopes/Synopsis/Trace/Entry.html" >Synopsis::Trace::Entry</a></li>
<li><a href="../Source/Synopsis/Trace.hh.html#83">Synopsis/Trace.hh:83</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTrace_mNONE" /><h2 >Enumerator Synopsis::Trace::NONE</h2><ul>
<li><a href="../Scopes/Synopsis/Trace.html#NONE" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#22">Synopsis/Trace.hh:22</a>: in class <a href="../Scopes/Synopsis/Trace.html" >Synopsis::Trace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTrace_mPARSING" /><h2 >Enumerator Synopsis::Trace::PARSING</h2><ul>
<li><a href="../Scopes/Synopsis/Trace.html#PARSING" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#25">Synopsis/Trace.hh:25</a>: in class <a href="../Scopes/Synopsis/Trace.html" >Synopsis::Trace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTrace_mPTREE" /><h2 >Enumerator Synopsis::Trace::PTREE</h2><ul>
<li><a href="../Scopes/Synopsis/Trace.html#PTREE" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#23">Synopsis/Trace.hh:23</a>: in class <a href="../Scopes/Synopsis/Trace.html" >Synopsis::Trace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTrace_mSYMBOLLOOKUP" /><h2 >Enumerator Synopsis::Trace::SYMBOLLOOKUP</h2><ul>
<li><a href="../Scopes/Synopsis/Trace.html#SYMBOLLOOKUP" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#24">Synopsis/Trace.hh:24</a>: in class <a href="../Scopes/Synopsis/Trace.html" >Synopsis::Trace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTrace_mTRANSLATION" /><h2 >Enumerator Synopsis::Trace::TRANSLATION</h2><ul>
<li><a href="../Scopes/Synopsis/Trace.html#TRANSLATION" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#26">Synopsis/Trace.hh:26</a>: in class <a href="../Scopes/Synopsis/Trace.html" >Synopsis::Trace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTrace_mTrace_lconst.std_mstring_A_cunsigned.int_r" /><h2 >Synopsis::Trace::Trace&#40;const std::string&amp;&#44;unsigned int&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#40">Synopsis/Trace.hh:40</a>: in class <a href="../Scopes/Synopsis/Trace.html" >Synopsis::Trace</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
